=== icon/CMakeLists.txt ===

ecm_install_icons(
ICONS
    hi128-apps-kdeconnect.png
    hi16-apps-kdeconnect.png
    hi22-apps-kdeconnect.png
    hi256-apps-kdeconnect.png
    hi32-apps-kdeconnect.png
    hi48-apps-kdeconnect.png
    hi64-apps-kdeconnect.png
    hi8-apps-kdeconnect.png
    hisc-apps-kdeconnect.svgz
DESTINATION
    ${ICON_INSTALL_DIR}
)
