## kdeconnect-plasma 0.0+git20150810

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,8 +11,10 @@
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_SOURCE_DIR}/cmake)
 
 find_package(Qt5 5.2 REQUIRED COMPONENTS Quick Test)
-find_package(KF5 REQUIRED COMPONENTS I18n KIO Notifications ConfigWidgets DBusAddons KCMUtils IconThemes)
+find_package(KF5 REQUIRED COMPONENTS I18n ConfigWidgets DBusAddons IconThemes)
 find_package(Qca-qt5 2.1.0 REQUIRED)
+
+include_directories(${CMAKE_SOURCE_DIR})
 
 configure_file(kdeconnect-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/kdeconnect-version.h)
 
@@ -24,15 +26,24 @@
 include(ECMInstallIcons)
 include(FeatureSummary)
 
+include(KDEConnectMacros.cmake)
+
+add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
+
 include(GenerateExportHeader)
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
 add_subdirectory(core)
 add_subdirectory(kcm)
+add_subdirectory(kcmplugin)
 add_subdirectory(kio)
 add_subdirectory(icon)
 add_subdirectory(interfaces)
 
+option(EXPERIMENTALAPP_ENABLED OFF)
+if(EXPERIMENTALAPP_ENABLED)
+    add_subdirectory(app)
+endif()
 add_subdirectory(daemon)
 add_subdirectory(plugins)
 add_subdirectory(plasmoid)
