=== kcm/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,6 @@
 add_definitions(-DTRANSLATION_DOMAIN="kdeconnect-kcm")
+
+find_package(KF5KCMUtils 5.9 REQUIRED)
 
 include_directories(${CMAKE_CURRENT_BINARY_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}
@@ -7,7 +9,6 @@
 
 set(kcm_SRCS
     kcm.cpp
-    devicessortproxymodel.cpp
 )
 
 ki18n_wrap_ui(kcm_SRCS kcm.ui)
