=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,15 @@
+find_package(KF5 REQUIRED COMPONENTS KIO)
+
 include_directories(
     ${KDEConnectCore_BINARY_DIR}
     ${CMAKE_SOURCE_DIR}
 )
 
 set(kdeconnect_libraries
+    kdeconnectcore
     KF5::KIOWidgets
     Qt5::Network
     Qt5::Test
-    kdeconnectcore
     qca-qt5
 )
