=== debian/control ===
--- 
+++ 
@@ -7,14 +7,17 @@
                debhelper (>= 9.0.0),
                extra-cmake-modules,
                kio-dev,
+               kwayland-dev,
                libfakekey-dev,
                libkf5configwidgets-dev,
                libkf5dbusaddons-dev,
+               libkf5declarative-dev,
                libkf5iconthemes-dev,
                libkf5kcmutils-dev,
                libkf5notifications-dev,
                libqca-qt5-2-dev,
                libqjson-dev,
+               libqt5x11extras5-dev,
                libxtst-dev,
                pkg-config,
                pkg-kde-tools,
@@ -27,7 +30,11 @@
 
 Package: kdeconnect-plasma
 Architecture: any
-Depends: libqca-qt5-2-plugins, plasma-workspace, sshfs, ${misc:Depends}, ${shlibs:Depends}
+Depends: libqca-qt5-2-plugins,
+         plasma-workspace,
+         sshfs,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Breaks: kdeconnect (<< 0.7.3-0ubuntu2)
 Replaces: kdeconnect (<< 0.7.3-0ubuntu2)
 Recommends: kdeconnect
