=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: cmake,
                debhelper (>= 9.0.0),
                extra-cmake-modules,
+               kdoctools-dev,
                kio-dev,
                kwayland-dev,
                libfakekey-dev,
@@ -18,19 +19,21 @@
                libqca-qt5-2-dev,
                libqjson-dev,
                libqt5x11extras5-dev,
+               libtelepathy-qt5-dev,
                libxtst-dev,
                pkg-config,
                pkg-kde-tools,
                qtbase5-dev,
                qtdeclarative5-dev
 Standards-Version: 3.9.6
-Homepage: https://projects.kde.org/projects/playground/base/kdeconnect-kde
+Homepage: https://community.kde.org/KDEConnect
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-extras/kdeconnect-plasma.git/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kdeconnect-plasma.git
 
 Package: kdeconnect-plasma
 Architecture: any
-Depends: libqca-qt5-2-plugins,
+Depends: kde-cli-tools,
+         libqca-qt5-2-plugins,
          plasma-workspace,
          sshfs,
          ${misc:Depends},
