## kdeconnect-plasma 0.9+git20160315

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 project(kdeconnect)
 
 set(KDECONNECT_VERSION_MAJOR 0)
-set(KDECONNECT_VERSION_MINOR 8)
+set(KDECONNECT_VERSION_MINOR 9)
 set(KDECONNECT_VERSION_PATCH 0)
 set(KDECONNECT_VERSION "${KDECONNECT_VERSION_MAJOR}.${KDECONNECT_VERSION_MINOR}.${KDECONNECT_VERSION_PATCH}")
 
@@ -10,9 +10,15 @@
 find_package(ECM 0.0.9 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_SOURCE_DIR}/cmake)
 
-find_package(Qt5 5.2 REQUIRED COMPONENTS Quick Test)
-find_package(KF5 REQUIRED COMPONENTS I18n ConfigWidgets DBusAddons IconThemes)
+find_package(Qt5 5.2 REQUIRED COMPONENTS Quick)
+find_package(KF5 REQUIRED COMPONENTS I18n ConfigWidgets DBusAddons)
+find_package(KF5DocTools)
 find_package(Qca-qt5 2.1.0 REQUIRED)
+find_package(TelepathyQt5 0.9.5)
+find_package(TelepathyQt5Service 0.9.7)
+if (TelepathyQt5_FOUND AND TelepathyQt5Service_FOUND)
+    add_definitions(-DHAVE_TELEPATHY)
+endif()
 
 include_directories(${CMAKE_SOURCE_DIR})
 
@@ -49,7 +55,17 @@
 add_subdirectory(plasmoid)
 add_subdirectory(cli)
 add_subdirectory(fileitemactionplugin)
+if(KF5DocTools_FOUND)
+    add_subdirectory(doc)
+endif()
 
-add_subdirectory(tests)
+if (TelepathyQt5_FOUND AND TelepathyQt5Service_FOUND)
+    add_subdirectory(telepathy-cm)
+endif()
 
-install(PROGRAMS kdeconnect-non-plasma.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
+if(BUILD_TESTING)
+    add_subdirectory(tests)
+endif()
+
+install(PROGRAMS org.kde.kdeconnect.nonplasma.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
+feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
