=== kcmplugin/CMakeLists.txt ===
--- 
+++ 
@@ -22,8 +22,7 @@
 )
 
 target_include_directories(kdeconnectpluginkcm PUBLIC ${CMAKE_CURRENT_BINARY_DIR})
-generate_export_header(kdeconnectpluginkcm EXPORT_FILE_NAME ${CMAKE_CURRENT_BINARY_DIR}../core/kdeconnectcore_export.h BASE_NAME kdeconnectpluginkcm)
+generate_export_header(kdeconnectpluginkcm EXPORT_FILE_NAME kdeconnectpluginkcm_export.h BASE_NAME kdeconnectpluginkcm)
 
-# Remove NAMELINK_SKIP if/when headers are being installed and the library
-# becomes public.
+# Remove NAMELINK_SKIP if/when headers are being installed and the library becomes public.
 install(TARGETS kdeconnectpluginkcm EXPORT kdeconnectLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)
