=== debian/changelog ===
kdeconnect-plasma (0.9+git20160315-0ubuntu1) xenial; urgency=medium

  * New upstream release (adopting upstream version number) 
    (LP: #1559538)
  * Fixed install file to include translations, changed filenames
    for new desktop files and incremented so version numbers
  * Fixed install file for typo (kdeconnectfileitemaction.so)
  * Adding usr/share/doc/HTML/en/kdeconnect/ to install file

 -- Clive Johnston <clivejo@aol.com>  Wed, 13 Jan 2016 21:53:49 +0000
